# Update Video Translation

## cURL

```bash
curl --request PATCH \
  --url https://api.heygen.com/v3/video-translations/{video_translation_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '  \
{
  "title": "<string>"
}'
```

### Response Codes

- **200**  
- **400**  
- **401**  
- **404**  
- **429**

```json
{
  "data": {
    "id": "<string>",
    "status": "pending",
    "title": "<string>",
    "output_language": "<string>",
    "input_language": "<string>",
    "duration": 123,
    "translate_audio_only": true,
    "video_url": "<string>",
    "audio_url": "<string>",
    "srt_caption_url": "<string>",
    "vtt_caption_url": "<string>",
    "callback_id": "<string>",
    "created_at": 123,
    "failure_message": "<string>"
  }
}
```

## Authorizations

### x-api-key
- **Type**: string  
- **Location**: header  
- **Required**: Yes  
  
HeyGen API key. Obtain from your HeyGen dashboard.

## Path Parameters

### video_translation_id
- **Type**: string  
- **Required**: Yes  
  
Unique video translation identifier.

## Body

### application/json

Request body for PATCH /v3/video-translations/{id}.

#### title
- **Type**: string  
- **Required**: Yes  
  
New title for the video translation.

## Response

### 200

**application/json**  
Successful response.
